<?php 
defined('G_IN_SYSTEM')or exit('No permission resources.');
System::load_app_class('admin',G_ADMIN_DIR,'no');
class recycling extends admin {
	public $member_count_num = 0;
	public $member_del_num = 0;
	public $member_new_num = 0;
	public function __construct(){
		parent::__construct();
		$this->db=System::load_sys_class("model");
	

	} 
	
	
	/*
		显示会员
		根据第四个参数显示不同类型会员
		@def 		默认会员
		@del 		删除会员
		@noreg 		未认证会员
		@b_qq 		QQ绑定会员
		@b_weibo 	微博绑定会员
		@b_taobao 	淘宝绑定会员
		@day_new	今日新增
		@day_shop	今日消费
		
					....
		第五个参数排序字段
		uid,money,time,jingyan,score
					....
		第六个参数排序类型
		desc,asc
					....		
	*/
	public function index(){

		$table= '@#_recycling';
		
		$this_path = WEB_PATH."/".ROUTE_M."/".ROUTE_C."/".ROUTE_A;
		$select_where = "当前查看{$user_type_arr[$user_type]} - 使用{$user_ziduan_arr[$user_ziduan]} - {$user_order_cn}";
		
		$num=20;
		$total=$this->db->GetCount("SELECT COUNT(*) FROM `$table` WHERE $sql_where");
		
		 
		$page=System::load_sys_class('page');
		if(isset($_GET['p'])){$pagenum=$_GET['p'];}else{$pagenum=1;}	
		$page->config($total,$num,$pagenum,"0");		

		$list=$this->db->GetPage("SELECT * FROM `$table` order by time ",array("num"=>$num,"page"=>$pagenum,"type"=>1,"cache"=>0)); 
		//print_r($list);
		
		include $this->tpl(ROUTE_M,'recycling.lists');
		
	}
}

?>